Merge remote-tracking branch 'up/master' into master-riscv64

Signed-off-by: David Abdurachmanov <david.abdurachmanov@gmail.com>
This commit is contained in:
David Abdurachmanov 2018-07-04 05:41:22 +02:00
commit fc4cccda0f
Signed by: davidlt
GPG Key ID: 7108702C938B13C1
5 changed files with 41 additions and 66 deletions

1
.gitignore vendored
View File

@ -28,3 +28,4 @@
/rpm-4.14.0-rc2.tar.bz2
/rpm-4.14.0.tar.bz2
/rpm-4.14.1.tar.bz2
/rpm-4.14.2-rc1.tar.bz2

View File

@ -1,28 +0,0 @@
From bf636421120aa2c97f9e0fdcee3c211b4241bd86 Mon Sep 17 00:00:00 2001
From: Tomas Orsava <torsava@redhat.com>
Date: Mon, 29 Jan 2018 16:13:18 +0100
Subject: [PATCH] Add envvar that will be present during RPM build
Part of a Fedora Change for F28:
"Avoid /usr/bin/python in RPM build"
https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build
---
macros.in | 2 ++
1 file changed, 2 insertions(+)
diff --git a/macros.in b/macros.in
index dd6ef67..68449e3 100644
--- a/macros.in
+++ b/macros.in
@@ -804,6 +804,8 @@ package or when debugging this package.\
export PKG_CONFIG_PATH\
CONFIG_SITE=${CONFIG_SITE:-NONE}\
export CONFIG_SITE\
+ PYTHON_DISALLOW_AMBIGUOUS_VERSION=warn\
+ export PYTHON_DISALLOW_AMBIGUOUS_VERSION\
\
%{verbose:set -x}%{!verbose:exec > /dev/null}\
umask 022\
--
2.13.6

View File

@ -1,15 +0,0 @@
diff --git a/scripts/brp-python-bytecompile b/scripts/brp-python-bytecompile
index 894fa3459..47776215a 100644
--- a/scripts/brp-python-bytecompile
+++ b/scripts/brp-python-bytecompile
@@ -87,6 +87,10 @@ if [ ! -x "$default_python" ]; then
exit 0
fi
+# Figure out if there are files to be bytecompiled with the default_python at all
+# this prevents unnecessary default_python invocation
+find "$RPM_BUILD_ROOT" -type f -name "*.py" | grep -Ev "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" || exit 0
+
# Generate normal (.pyc) byte-compiled files.
python_bytecompile "" $default_python "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" "$RPM_BUILD_ROOT" "$depth" "/"
if [ $? -ne 0 -a 0$errors_terminate -ne 0 ]; then

View File

@ -21,9 +21,9 @@
%define rpmhome /usr/lib/rpm
%global rpmver 4.14.1
#global snapver rc2
%global rel 8
%global rpmver 4.14.2
%global snapver rc1
%global rel 1
%global srcver %{version}%{?snapver:-%{snapver}}
%global srcdir %{?snapver:testing}%{!?snapver:%{name}-%(echo %{version} | cut -d'.' -f1-2).x}
@ -35,7 +35,7 @@
Summary: The RPM package management system
Name: rpm
Version: %{rpmver}
Release: %{?snapver:0.%{snapver}.}%{rel}.0.riscv64%{?dist}
Release: %{?snapver:0.%{snapver}.}%{rel}.0.riscv64%{?dist}.1
Group: System Environment/Base
Url: http://www.rpm.org/
Source0: http://ftp.rpm.org/releases/%{srcdir}/%{name}-%{srcver}.tar.bz2
@ -56,16 +56,6 @@ Patch3: rpm-4.9.90-no-man-dirs.patch
Patch4: rpm-4.8.1-use-gpg2.patch
# Temporary band-aid for rpm2cpio whining on payload size mismatch (#1142949)
Patch5: rpm-4.12.0-rpm2cpio-hack.patch
# Skip automatic Python byte-compilation if *.py files are not present
# Upstream pull request: https://github.com/rpm-software-management/rpm/pull/383
Patch6: rpm-4.14.1-python-brp-bytecompile.patch
# Downstream-only patch:
# Add envvar that will be present during RPM build
# - Part of a Fedora Change for F28:
# - "Avoid /usr/bin/python in RPM build"
# - https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build
Patch7: rpm-4.14.1-Add-envvar-that-will-be-present-during-RPM-build.patch
# Patches already upstream:
@ -354,6 +344,10 @@ nice/ionice priorities. Should not be used on systemd systems.
ln -s db-%{bdbver} db
%endif
# Python madness: invoke python2 explicitly to avoid deprecation warnings
# breaking the testsuite and thus the build. Easier than managing a patch...
sed -ie 's:^python test:python2 test:g' tests/rpmtests tests/local.at
%build
%if %{without int_bdb}
#CPPFLAGS=-I%{_includedir}/db%{bdbver}
@ -464,11 +458,9 @@ chmod a-x $RPM_BUILD_ROOT/%{rpmhome}/python-macro-helper
make check || cat tests/rpmtests.log
%endif
%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig
%post build-libs -p /sbin/ldconfig
%postun build-libs -p /sbin/ldconfig
# Fedora < 28 and EPEL-7 builds need these
%ldconfig_scriptlets libs
%ldconfig_scriptlets build-libs
%files -f %{name}.lang
%license COPYING
@ -603,9 +595,34 @@ make check || cat tests/rpmtests.log
%doc doc/librpm/html/*
%changelog
* Wed May 16 2018 David Abdurachmanov <david.abdurachmanov@gmail.com> - 4.14.1-8.0.riscv64
- Remove Requires: /usr/bin/gdb-add-index for riscv64 (we have not upstream
port with Linux support). This is temporary.
* Mon Jul 02 2018 Miro Hrončok <mhroncok@redhat.com> - 4.14.2-0.rc1.1.1
- Rebuilt for Python 3.7
* Fri Jun 29 2018 Panu Matilainen <pmatilai@redhat.com> - 4.14.2-0.rc1.1
- Update to rpm 4.14.2-rc1
- Patching test-suite for python2 too painful, just sed it instead
- Fix premature version increment from previous changelog entries, oops
* Fri Jun 29 2018 Panu Matilainen <pmatilai@redhat.com> - 4.14.1-13
- Ehm, need to patch the autogenerated rpmtests script too for python2
- Ehm, it's ldconfig_scriptlets not scripts
- Drop the non-working python envvar magic from obsoleted change
* Fri Jun 29 2018 Panu Matilainen <pmatilai@redhat.com> - 4.14.1-12
- Invoke python2 explicitly from test-suite to unbreak build
* Fri Jun 29 2018 Panu Matilainen <pmatilai@redhat.com> - 4.14.1-11
- Remove direct ldconfig calls, use compat macros instead
* Fri Jun 15 2018 Miro Hrončok <mhroncok@redhat.com> - 4.14.1-10.1
- Rebuilt for Python 3.7
* Mon May 28 2018 Miro Hrončok <mhroncok@redhat.com> - 4.14.1-10
- Backport upstream solution to make brp-python-bytecompile automagic part opt-outable
https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation
* Tue May 22 2018 Mark Wielaard <mjw@fedoraproject.org> - 4.14.1-9
- find-debuginfo.sh: Handle application/x-pie-executable (#1581224)
* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.14.1-8
- Split rpm-build-libs to one more subpackage rpm-sign-libs

View File

@ -1 +1 @@
SHA512 (rpm-4.14.1.tar.bz2) = 29e95eaaf40a6ddf7f23446ea6cb8a1dcd12a45d4965595a705cb9130890d772a40ecfa475b189865da51248b3d2414e4f4b1a40cbfd7ca538c482d87c50a218
SHA512 (rpm-4.14.2-rc1.tar.bz2) = 1d8c7ce01b8d576cb9634d45f9de346ee3f6cad0072ab6ece2ac3621db65b8ed279d73f01d11e5b0c7e8a28a5eb3cb98cce0f30934a9ada71f8fb065525d35b3